# Geometry library tests.

TARGET = geometry_tests
CONFIG += console warn_on
CONFIG -= app_bundle
TEMPLATE = app

ROOT_DIR = ../..
DEPENDENCIES = geometry base

include($$ROOT_DIR/common.pri)

DEFINES += OMIM_UNIT_TEST_DISABLE_PLATFORM_INIT

HEADERS += \
  equality.hpp \
  large_polygon.hpp \
  test_regions.hpp \

SOURCES += \
  ../../testing/testingmain.cpp \
  algorithm_test.cpp \
  angle_test.cpp \
  anyrect_test.cpp \
  bounding_box_tests.cpp \
  calipers_box_tests.cpp \
  cellid_test.cpp \
  clipping_test.cpp \
  common_test.cpp \
  convex_hull_tests.cpp \
  covering_test.cpp \
  diamond_box_tests.cpp \
  distance_on_sphere_test.cpp \
  distance_test.cpp \
  intersect_test.cpp \
  latlon_test.cpp \
  line2d_tests.cpp \
  mercator_test.cpp \
  nearby_points_sweeper_test.cpp \
  packer_test.cpp \
  point_test.cpp \
  pointu_to_uint64_test.cpp \
  polygon_test.cpp \
  rect_test.cpp \
  region2d_binary_op_test.cpp \
  region_test.cpp \
  robust_test.cpp \
  screen_test.cpp \
  segments_intersect_test.cpp \
  simplification_test.cpp \
  spline_test.cpp \
  transformations_test.cpp \
  tree_test.cpp \
  vector_test.cpp \
